         SUBROUTINE NAME(FILE1,FILE2,FILE3,FILE4,FILE5,&
     & 	 FILE6,FILE7)
	     
	     CHARACTER*11 FILE1,FILE2,FILE3,FILE4,FILE5,FILE6,&
     & 	 FILE7 
	     CHARACTER*7 FNAM
    	 OPEN(UNIT=10,FILE='NAME.INT')
	     Data o1,o2,o3,o4,o5,o6,o7/'.dat','.ot2','.ot3',&
	 &	 '.ot4','.ot5','.ot6','.ot7'/
         WRITE(*,*)'ENTER THE NAME OF DATA FILE'
	     READ(*,10)FNAM
10       FORMAT(7A)
         WRITE(10,20)FNAM,o1
	     WRITE(10,20)FNAM,o2
	     WRITE(10,20)FNAM,o3
	     WRITE(10,20)FNAM,o4
	     WRITE(10,20)FNAM,o5
	     WRITE(10,20)FNAM,o6
	     WRITE(10,20)FNAM,o7
20       FORMAT(1X,7A,4A)
	     Close(unit=10)	
         OPEN(UNIT=10,FILE='NAME.INT',STATUS='OLD')
	     READ(10,30)FILE1
	     READ(10,30)FILE2
	     READ(10,30)FILE3
	     READ(10,30)FILE4
	     READ(10,30)FILE5
	     READ(10,30)FILE6
	     READ(10,30)FILE7
30       FORMAT(1X,11A)
         WRITE(*,30)FILE1
         WRITE(*,30)FILE2
         WRITE(*,30)FILE3
         WRITE(*,30)FILE4
         WRITE(*,30)FILE5
         WRITE(*,30)FILE6
         WRITE(*,30)FILE7
         RETURN
	     END 